Brivio API reference
Assistant

The caller's API assistant threads, newest first (scope: assistant:read)

GET
/assistant/threads

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer
perPage?integer

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/assistant/threads"
{  "data": [    {      "id": 1,      "title": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "messages": [        {          "role": "user",          "content": "string",          "created_at": "2019-08-24T14:15:22Z"        }      ]    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}